<div class="card tarjeta">
    <div class="card-body">
        <div class="row">
            <div class="col-7">
                <h6 class="card-title">{{data.nombre}} {{data.apellido}}</h6>
            </div>
            <div class="col-5">
                <img src="../../../assets/perfil.png" alt="perfil" style="height: 80px; width: 70px;">
            </div>
        </div>
      <button type="button"  (click)="open(content)" class="btn btn-warning">Ver +</button>
    </div>
  </div>

  <ng-template #content let-modal>
    <div class="modal-header">
      <h4 class="modal-title" id="modal-basic-title">{{data.nombre}} {{data.apellido}}</h4>
      <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
        <div class="row">
            <div class="col-6">Telefono:</div>
            <div>{{data.telefono}}</div>
        </div>
        <div class="row">
            <div class="col-6">Fecha nacimiento:</div>
                <div>
                    {{data.fechaNacimiento}} 
                    <div *ngIf="ValidadorFecha(data.fechaNacimiento); then thenBlock else elseBlock"></div>
                    <ng-template #thenBlock><fa-icon [icon]="faCheckCircle"></fa-icon></ng-template>
                    <ng-template #elseBlock><fa-icon [icon]="faTimesCircle"></fa-icon></ng-template>
                </div>
        </div>
        <div class="row">
            <div class="col-6">Rut:</div>
            <div>
                {{data.rut}}
                <div *ngIf="validaRut(data.rut); then thenBlock else elseBlock"></div>
                <ng-template #thenBlock><fa-icon [icon]="faCheckCircle"></fa-icon></ng-template>
                <ng-template #elseBlock><fa-icon [icon]="faTimesCircle"></fa-icon></ng-template>
            </div>
        </div>
        <div class="row">
            <div class="col-6">Direccion:</div>
            <div>{{data.direccion.calle}} #{{data.direccion.numero}}, {{data.direccion.comuna}}</div>
        </div>
      
    </div>

  </ng-template>
  

  

  
